package org.jeecg.modules.app.service.impl;

import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.jeecg.modules.app.entity.AppBanner;
import org.jeecg.modules.app.mapper.AppBannerMapper;
import org.jeecg.modules.app.service.IAppHomeService;
import org.jeecg.modules.app.vo.AppBannerVO;
import org.jeecg.modules.app.vo.HomeVO;
import org.springframework.stereotype.Service;

import java.util.List;
import java.util.stream.Collectors;

@Service
public class AppHomeServiceImpl extends ServiceImpl<AppBannerMapper, AppBanner> implements IAppHomeService {
    @Override
    public HomeVO homeInfo(){
        List<AppBanner> appBanners = this.getBaseMapper().selectList(Wrappers.<AppBanner>lambdaQuery()
                .eq(AppBanner::getDelFlag, 0));
        return new HomeVO().setBannerList(appBanners.stream()
                .map(banner -> new AppBannerVO()
                        .setId(banner.getId())
                        .setEventType(banner.getEventType())
                        .setEventValue(banner.getEventValue())
                        .setSortOrder(banner.getSortOrder())
                        .setImageUrl(banner.getImageUrl()))
                .collect(Collectors.toList()));
    }
}
